from sziszapangma.core.alignment.alignment_calculator import \
    AlignmentCalculator
from sziszapangma.core.alignment.distance_matrix_calculator import \
    CosineDistanceCalculator
from sziszapangma.core.transformer.embedding_transformer import \
    EmbeddingTransformer


class AlignmentSoftCalculator(AlignmentCalculator):

    def __init__(self, embedding_transformer: EmbeddingTransformer):
        super().__init__(CosineDistanceCalculator(embedding_transformer))
